CREATE TABLE hra_tmpl_defns_b (
    TEMPLATE_DEFN_ID                  NUMBER(18, 0) ,
    TEMPLATE_TYPE_CODE                VARCHAR2(120) ,
    USE_CALC_RATINGS_FLAG             VARCHAR2(120) ,
    BUSINESS_GROUP_ID                 NUMBER(18, 0) ,
    SET_ID                            NUMBER(18, 0)     NOT NULL,
    DOC_TYPE_ID                       NUMBER(18, 0)     NOT NULL,
    PROCESS_FLOW_ID                   NUMBER(18, 0) ,
    DATE_FROM                         DATE              NOT NULL,
    DATE_TO                           DATE          ,
    STATUS_CODE                       VARCHAR2(120) ,
    CALCULATE_RATINGS_FLAG            VARCHAR2(120) ,
    ROUNDING_RULE_CODE                VARCHAR2(120) ,
    DECIMAL_PLACES                    NUMBER(18, 0) ,
    MAPPING_METHOD_CODE               VARCHAR2(120) ,
    SHOW_PARTICIPANT_NAMES            VARCHAR2(120) ,
    SELECT_MGR_ALLOWED_FLAG           VARCHAR2(120) ,
    STAR_RATING_ENABLED_FLAG          VARCHAR2(120)     NOT NULL,
    SET_ROLE_MINIMUMS_FLAG            VARCHAR2(120) ,
    SET_ROLE_MAXIMUMS_FLAG            VARCHAR2(120) ,
    TOTAL_MIN_PARTICIPANTS            NUMBER(18, 0) ,
    TOTAL_MAX_PARTICIPANTS            NUMBER(18, 0) ,
    ENFORCE_MIN_PCPNS_FLAG            VARCHAR2(120) ,
    USE_WRK_CONNECTIONS_FLAG          VARCHAR2(120) ,
    WRK_SEE_MGR_PCPN_FLAG             VARCHAR2(120) ,
    PCPN_FEEDBACK_REQ_FLAG            VARCHAR2(120) ,
    PCPN_DECLINE_OPTION_FLAG          VARCHAR2(120) ,
    AUTO_POPULATE_MM_FLAG             VARCHAR2(120) ,
    SEND_REQUEST_TO_MM_FLAG           VARCHAR2(120) ,
    DEFAULT_MATRIX_PCPN_ROLE_ID       NUMBER(18, 0) ,
    ATTRIBUTE_CATEGORY                VARCHAR2(120) ,
    ATTRIBUTE1                        VARCHAR2(600) ,
    ATTRIBUTE2                        VARCHAR2(600) ,
    ATTRIBUTE3                        VARCHAR2(600) ,
    ATTRIBUTE4                        VARCHAR2(600) ,
    ATTRIBUTE5                        VARCHAR2(600) ,
    ATTRIBUTE6                        VARCHAR2(600) ,
    ATTRIBUTE7                        VARCHAR2(600) ,
    ATTRIBUTE8                        VARCHAR2(600) ,
    ATTRIBUTE9                        VARCHAR2(600) ,
    ATTRIBUTE10                       VARCHAR2(600) ,
    ATTRIBUTE11                       VARCHAR2(600) ,
    ATTRIBUTE12                       VARCHAR2(600) ,
    ATTRIBUTE13                       VARCHAR2(600) ,
    ATTRIBUTE14                       VARCHAR2(600) ,
    ATTRIBUTE15                       VARCHAR2(600) ,
    ATTRIBUTE16                       VARCHAR2(600) ,
    ATTRIBUTE17                       VARCHAR2(600) ,
    ATTRIBUTE18                       VARCHAR2(600) ,
    ATTRIBUTE19                       VARCHAR2(600) ,
    ATTRIBUTE20                       VARCHAR2(600) ,
    ATTRIBUTE21                       VARCHAR2(600) ,
    ATTRIBUTE22                       VARCHAR2(600) ,
    ATTRIBUTE23                       VARCHAR2(600) ,
    ATTRIBUTE24                       VARCHAR2(600) ,
    ATTRIBUTE25                       VARCHAR2(600) ,
    ATTRIBUTE26                       VARCHAR2(600) ,
    ATTRIBUTE27                       VARCHAR2(600) ,
    ATTRIBUTE28                       VARCHAR2(600) ,
    ATTRIBUTE29                       VARCHAR2(600) ,
    ATTRIBUTE30                       VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1                 NUMBER        ,
    ATTRIBUTE_NUMBER2                 NUMBER        ,
    ATTRIBUTE_NUMBER3                 NUMBER        ,
    ATTRIBUTE_NUMBER4                 NUMBER        ,
    ATTRIBUTE_NUMBER5                 NUMBER        ,
    ATTRIBUTE_NUMBER6                 NUMBER        ,
    ATTRIBUTE_NUMBER7                 NUMBER        ,
    ATTRIBUTE_NUMBER8                 NUMBER        ,
    ATTRIBUTE_NUMBER9                 NUMBER        ,
    ATTRIBUTE_NUMBER10                NUMBER        ,
    ATTRIBUTE_NUMBER11                NUMBER        ,
    ATTRIBUTE_NUMBER12                NUMBER        ,
    ATTRIBUTE_NUMBER13                NUMBER        ,
    ATTRIBUTE_NUMBER14                NUMBER        ,
    ATTRIBUTE_NUMBER15                NUMBER        ,
    ATTRIBUTE_NUMBER16                NUMBER        ,
    ATTRIBUTE_NUMBER17                NUMBER        ,
    ATTRIBUTE_NUMBER18                NUMBER        ,
    ATTRIBUTE_NUMBER19                NUMBER        ,
    ATTRIBUTE_NUMBER20                NUMBER        ,
    ATTRIBUTE_DATE1                   DATE          ,
    ATTRIBUTE_DATE2                   DATE          ,
    ATTRIBUTE_DATE3                   DATE          ,
    ATTRIBUTE_DATE4                   DATE          ,
    ATTRIBUTE_DATE5                   DATE          ,
    ATTRIBUTE_DATE6                   DATE          ,
    ATTRIBUTE_DATE7                   DATE          ,
    ATTRIBUTE_DATE8                   DATE          ,
    ATTRIBUTE_DATE9                   DATE          ,
    ATTRIBUTE_DATE10                  DATE          ,
    ATTRIBUTE_DATE11                  DATE          ,
    ATTRIBUTE_DATE12                  DATE          ,
    ATTRIBUTE_DATE13                  DATE          ,
    ATTRIBUTE_DATE14                  DATE          ,
    ATTRIBUTE_DATE15                  DATE          ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    DIGITAL_SIGNATURE_FLAG            VARCHAR2(120) ,
    MODULE_ID                         VARCHAR2(128) ,
    KUDOS_REGION_FLAG                 VARCHAR2(120) ,
    SHOW_WKR_CALC_RATING_FLAG         VARCHAR2(120) ,
    SHOW_MGR_CALC_RATING_FLAG         VARCHAR2(120) ,
    SHOW_MM_CALC_RATING_FLAG          VARCHAR2(120) ,
    SHOW_PCPN_CALC_RATING_FLAG        VARCHAR2(120) ,
    ESS_REQUEST_ID                    NUMBER(18, 0) ,
    ESS_REQUEST_STATUS                VARCHAR2(120) ,
    SHOW_CHECK_IN_REGION_FLAG         VARCHAR2(120) ,
    SHOW_FEEDBACK_REQ_REGION_FLAG     VARCHAR2(120) ,
    ENABLE_SYNC_FLAG                  VARCHAR2(120) ,
    ALLOW_WKR_SELECT_MM_ROLE_FLAG     VARCHAR2(120) ,
    ALLOW_MGR_SELECT_MM_ROLE_FLAG     VARCHAR2(120) ,
    ALL_MM_MGR_TYPE_FLAG              VARCHAR2(120) ,
    MM_MANAGER_TYPES                  VARCHAR2(4000),
    MIN_LENGTH_COMMENTS               NUMBER        ,
    MAX_LENGTH_COMMENTS               NUMBER        ,
    SHOW_CHECK_IN_SUMMARY_FLAG        VARCHAR2(120) ,
    SHOW_FEEDBACK_REQ_SUMMARY_FLAG    VARCHAR2(120) ,
    TEMPLATE_DEFN_ID                  NUMBER(18, 0) ,
    BUSINESS_GROUP_ID                 NUMBER(18, 0) ,
    SET_ID                            NUMBER(18, 0)     NOT NULL,
    DOC_TYPE_ID                       NUMBER(18, 0)     NOT NULL,
    PROCESS_FLOW_ID                   NUMBER(18, 0) ,
    DATE_FROM                         DATE              NOT NULL,
    DATE_TO                           DATE          ,
    STATUS_CODE                       VARCHAR2(120) ,
    CALCULATE_RATINGS_FLAG            VARCHAR2(120) ,
    ROUNDING_RULE_CODE                VARCHAR2(120) ,
    DECIMAL_PLACES                    NUMBER(18, 0) ,
    MAPPING_METHOD_CODE               VARCHAR2(120) ,
    SHOW_PARTICIPANT_NAMES            VARCHAR2(120) ,
    SELECT_MGR_ALLOWED_FLAG           VARCHAR2(120) ,
    STAR_RATING_ENABLED_FLAG          VARCHAR2(120)     NOT NULL,
    SET_ROLE_MINIMUMS_FLAG            VARCHAR2(120) ,
    TOTAL_MIN_PARTICIPANTS            NUMBER(18, 0) ,
    USE_WRK_CONNECTIONS_FLAG          VARCHAR2(120) ,
    WRK_SEE_MGR_PCPN_FLAG             VARCHAR2(120) ,
    PCPN_FEEDBACK_REQ_FLAG            VARCHAR2(120) ,
    PCPN_DECLINE_OPTION_FLAG          VARCHAR2(120) ,
    ATTRIBUTE_CATEGORY                VARCHAR2(120) ,
    ATTRIBUTE1                        VARCHAR2(600) ,
    ATTRIBUTE2                        VARCHAR2(600) ,
    ATTRIBUTE3                        VARCHAR2(600) ,
    ATTRIBUTE4                        VARCHAR2(600) ,
    ATTRIBUTE5                        VARCHAR2(600) ,
    ATTRIBUTE6                        VARCHAR2(600) ,
    ATTRIBUTE7                        VARCHAR2(600) ,
    ATTRIBUTE8                        VARCHAR2(600) ,
    ATTRIBUTE9                        VARCHAR2(600) ,
    ATTRIBUTE10                       VARCHAR2(600) ,
    ATTRIBUTE11                       VARCHAR2(600) ,
    ATTRIBUTE12                       VARCHAR2(600) ,
    ATTRIBUTE13                       VARCHAR2(600) ,
    ATTRIBUTE14                       VARCHAR2(600) ,
    ATTRIBUTE15                       VARCHAR2(600) ,
    ATTRIBUTE16                       VARCHAR2(600) ,
    ATTRIBUTE17                       VARCHAR2(600) ,
    ATTRIBUTE18                       VARCHAR2(600) ,
    ATTRIBUTE19                       VARCHAR2(600) ,
    ATTRIBUTE20                       VARCHAR2(600) ,
    ATTRIBUTE21                       VARCHAR2(600) ,
    ATTRIBUTE22                       VARCHAR2(600) ,
    ATTRIBUTE23                       VARCHAR2(600) ,
    ATTRIBUTE24                       VARCHAR2(600) ,
    ATTRIBUTE25                       VARCHAR2(600) ,
    ATTRIBUTE26                       VARCHAR2(600) ,
    ATTRIBUTE27                       VARCHAR2(600) ,
    ATTRIBUTE28                       VARCHAR2(600) ,
    ATTRIBUTE29                       VARCHAR2(600) ,
    ATTRIBUTE30                       VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1                 NUMBER        ,
    ATTRIBUTE_NUMBER2                 NUMBER        ,
    ATTRIBUTE_NUMBER3                 NUMBER        ,
    ATTRIBUTE_NUMBER4                 NUMBER        ,
    ATTRIBUTE_NUMBER5                 NUMBER        ,
    ATTRIBUTE_NUMBER6                 NUMBER        ,
    ATTRIBUTE_NUMBER7                 NUMBER        ,
    ATTRIBUTE_NUMBER8                 NUMBER        ,
    ATTRIBUTE_NUMBER9                 NUMBER        ,
    ATTRIBUTE_NUMBER10                NUMBER        ,
    ATTRIBUTE_NUMBER11                NUMBER        ,
    ATTRIBUTE_NUMBER12                NUMBER        ,
    ATTRIBUTE_NUMBER13                NUMBER        ,
    ATTRIBUTE_NUMBER14                NUMBER        ,
    ATTRIBUTE_NUMBER15                NUMBER        ,
    ATTRIBUTE_NUMBER16                NUMBER        ,
    ATTRIBUTE_NUMBER17                NUMBER        ,
    ATTRIBUTE_NUMBER18                NUMBER        ,
    ATTRIBUTE_NUMBER19                NUMBER        ,
    ATTRIBUTE_NUMBER20                NUMBER        ,
    ATTRIBUTE_DATE1                   DATE          ,
    ATTRIBUTE_DATE2                   DATE          ,
    ATTRIBUTE_DATE3                   DATE          ,
    ATTRIBUTE_DATE4                   DATE          ,
    ATTRIBUTE_DATE5                   DATE          ,
    ATTRIBUTE_DATE6                   DATE          ,
    ATTRIBUTE_DATE7                   DATE          ,
    ATTRIBUTE_DATE8                   DATE          ,
    ATTRIBUTE_DATE9                   DATE          ,
    ATTRIBUTE_DATE10                  DATE          ,
    ATTRIBUTE_DATE11                  DATE          ,
    ATTRIBUTE_DATE12                  DATE          ,
    ATTRIBUTE_DATE13                  DATE          ,
    ATTRIBUTE_DATE14                  DATE          ,
    ATTRIBUTE_DATE15                  DATE          ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    DIGITAL_SIGNATURE_FLAG            VARCHAR2(120) ,
    MODULE_ID                         VARCHAR2(128) ,
    KUDOS_REGION_FLAG                 VARCHAR2(120) ,
    SHOW_WKR_CALC_RATING_FLAG         VARCHAR2(120) ,
    SHOW_MGR_CALC_RATING_FLAG         VARCHAR2(120) ,
    USE_CALC_RATINGS_FLAG             VARCHAR2(120) ,
    AUTO_POPULATE_MM_FLAG             VARCHAR2(120) ,
    SEND_REQUEST_TO_MM_FLAG           VARCHAR2(120) ,
    DEFAULT_MATRIX_PCPN_ROLE_ID       NUMBER(18, 0) ,
    SHOW_MM_CALC_RATING_FLAG          VARCHAR2(120) ,
    SHOW_PCPN_CALC_RATING_FLAG        VARCHAR2(120) ,
    SEED_DATA_SOURCE                  VARCHAR2(2048),
    TEMPLATE_TYPE_CODE                VARCHAR2(120) ,
    ESS_REQUEST_ID                    NUMBER(18, 0) ,
    ESS_REQUEST_STATUS                VARCHAR2(120) ,
    SHOW_CHECK_IN_REGION_FLAG         VARCHAR2(120) ,
    SHOW_FEEDBACK_REQ_REGION_FLAG     VARCHAR2(120) ,
    ENABLE_SYNC_FLAG                  VARCHAR2(120) ,
    ALLOW_WKR_SELECT_MM_ROLE_FLAG     VARCHAR2(120) ,
    ALLOW_MGR_SELECT_MM_ROLE_FLAG     VARCHAR2(120) ,
    ALL_MM_MGR_TYPE_FLAG              VARCHAR2(120) ,
    MM_MANAGER_TYPES                  VARCHAR2(4000),
    SET_ROLE_MAXIMUMS_FLAG            VARCHAR2(120) ,
    TOTAL_MAX_PARTICIPANTS            NUMBER(18, 0) ,
    ENFORCE_MIN_PCPNS_FLAG            VARCHAR2(120) ,
    MIN_LENGTH_COMMENTS               NUMBER        ,
    MAX_LENGTH_COMMENTS               NUMBER        ,
    SHOW_CHECK_IN_SUMMARY_FLAG        VARCHAR2(120) ,
    SHOW_FEEDBACK_REQ_SUMMARY_FLAG    VARCHAR2(120) ,
    CONSTRAINT pk_hra_tmpl_defns_b PRIMARY KEY (TEMPLATE_DEFN_ID, BUSINESS_GROUP_ID, TEMPLATE_DEFN_ID, BUSINESS_GROUP_ID)
);
